<!-- <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Payment Collection
    </div>
    <div class="col-xs-12 col-sm-10 col-md-8 col-sm-offset-1 col-md-offset-2 card-body"> -->
        <div class="container">
            <div class="row">
            <div class="col-sm-3"></div>

            <div class="col-sm-6">
                <mat-toolbar color="primary">Add Driver Payment</mat-toolbar>
              <mat-card class="example-card">

                <mat-card-content>

      <form [formGroup]="accountForm" (ngSubmit)="onSubmit()">


        <!-- <div class="form-group">
          <label for="lspId">LSP<sup class="req">*</sup></label>
          <select
            id="lspId"
            formControlName="lspId"
            class="form-control">
            <option value="-1">- Click to Select LSP -</option>
            <option
              *ngFor="let lsp of lspInfo"
               value="{{ lsp.lspId }}">{{ lsp.name }}</option>
          </select>
             <span
                *ngIf="!accountForm.get('lspId').valid && accountForm.get('lspId').touched"
                class="help-block">Please select LSP!</span>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> LSP </mat-label>
            <mat-select id="lspId" formControlName="lspId" >
              <mat-option value="-1"
                >----Click to Select LSP----</mat-option>

              <mat-option *ngFor="let lsp of lspInfo" value= "{{lsp.lspId}}">{{ lsp.name }}</mat-option>
            </mat-select>
            <mat-error *ngIf="accountForm.get('lspId').hasError('min')">
                Please select Lsp
            </mat-error>
          </mat-form-field>

        <!-- <div class="form-group">
          <label for="driverId">Driver<sup class="req">*</sup></label>
          <select
            id="driverId"
            formControlName="driverId"
            class="form-control">
            <option value="-1">- Click to Select Driver -</option>
            <option
              *ngFor="let driver of driverInfo"
               value="{{ driver.driverId }}">{{ driver.driver_name + ' ('+driver.driverId + ') '}}</option>
          </select>
             <span
                *ngIf="!accountForm.get('driverId').valid && accountForm.get('driverId').touched"
                class="help-block">Please select Driver!</span>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Driver </mat-label>
            <mat-select id="driverId" formControlName="driverId" >
              <mat-option value="-1"
                >----Click to Select Driver----</mat-option>

              <mat-option *ngFor="let d of driverInfo" value= "{{d.driverId}}">{{ d.driver_name + ' ('+d.driverId + ') '}}</mat-option>
            </mat-select>
            <mat-error *ngIf="accountForm.get('driverId').hasError('min')">
                Please select Driver
            </mat-error>
          </mat-form-field>


        <!-- <div class="form-group">
          <label for="amount">Amount<sup class="req">*</sup></label>
          <input
              type="number"
              min="1"
              id="amount"
              formControlName="amount"
              class="form-control"
              placeholder="Enter Amount">
              <span
                *ngIf="!accountForm.get('amount').valid && accountForm.get('amount').touched"
                class="help-block">Please enter valid Amount!</span>
        </div> -->
        <mat-form-field class="form-group">
            <mat-label> Amount
              </mat-label>
            <input matInput placeholder="Enter Amount"  formControlName="amount" class="formControl"/>
            <mat-error *ngIf="!!accountForm.get('amount').hasError('required')"
            >Amount is required</mat-error
          >
          <mat-error *ngIf="!!accountForm.get('amount').hasError('pattern')"
          >Amount should be a positive number</mat-error
        >
        </mat-form-field>
        <!-- <div class="form-group">
          <label for="salesPerson">Sales Person<sup class="req">*</sup></label>
          <select
            id="salesPerson"
            formControlName="salesPerson"
            class="form-control"
            >
            <option value="-1">- Click to Select Salesperson -</option>
            <option>Vikram Sharma</option>
            <option>Rakesh Kumar</option>
          </select>
              <span
                *ngIf="!accountForm.get('salesPerson').valid && accountForm.get('salesPerson').touched"
                class="help-block">Please select Salesperson!</span>
        </div> -->

        <mat-form-field class="form-group">
            <mat-label> Sales Person </mat-label>
            <mat-select id="salesPerson" formControlName="salesPerson" >
              <mat-option value="-1"
                >----Click to Select Salesperson----</mat-option>
                <mat-option value="Vikram Sharma">Vikram Sharma</mat-option>
                <mat-option value="Rakesh Kumar">Rakesh Kumar</mat-option>

            </mat-select>
            <mat-error *ngIf="accountForm.get('salesPerson').hasError('min')">
                Please select Salesperson
            </mat-error>
          </mat-form-field>


        <!-- <div class="form-group ">
          <label for="fromDate">From Date
            <span class="req">*</span>
          </label>
            <input
              type="text"
              class="form-control"
              formControlName="fromDate"
              placeholder="Select From Date"
              (ngModelChange)="changeToDate()"
              readonly="readonly"
              #dpYMD="bsDatepicker"
              bsDatepicker
              [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"
              [maxDate]="maxDate"
              >
              <div *ngIf="accountForm.get('fromDate').invalid && accountForm.get('fromDate').touched"
                class="alert alert-danger">

                <div *ngIf="accountForm.get('fromDate').errors.required">
                  This field is required.
                </div>
              </div>
        </div> -->

        <mat-form-field class="form-group">
            <input
              matInput
              [matDatepicker]="picker"
              formControlName="fromDate"
              readonly="readonly"
              [max]="maxDate"
              placeholder="Select From Date"
              (ngModelChange)="changeToDate()"

            />
            <mat-label>From Date</mat-label>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker disabled="false"></mat-datepicker>
            <mat-error *ngIf="!!accountForm.get('fromDate').hasError('required')">
                This field is required.
            </mat-error>
          </mat-form-field>

        <!-- <div class="form-group ">
          <label for="toDate">To Date
            <span class="req">*</span>
          </label>
            <input
              type="text"
              class="form-control"
              formControlName="toDate"
              placeholder="Select From Date First"
              readonly="readonly"
              bsDatepicker
              [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }"
              [isDisabled]="isDisabled"
              [maxDate]="maxDate"
              [minDate]="minDate">
              <div *ngIf="accountForm.get('toDate').invalid && accountForm.get('toDate').touched"
                class="alert alert-danger">

                <div *ngIf="accountForm.get('toDate').errors.required">
                  This field is required.
                </div>
              </div>
        </div> -->

        <mat-form-field class="form-group">
            <input
              matInput
              [matDatepicker]="picker1"
              formControlName="toDate"
              readonly="readonly"
              [min]="minDate"
              [max]="maxDate"
              placeholder="Select To Date"


            />
            <mat-label>To Date</mat-label>
            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
            <mat-datepicker #picker1 disabled="false"></mat-datepicker>
            <mat-error *ngIf="!!accountForm.get('toDate').hasError('required')">
                This field is required.
            </mat-error>
          </mat-form-field>


        <div class="row">
            <div class="col-sm-4 col-md-4 col-lg-4"></div>
            <div class="col-sm-4 col-md-4 col-lg-4"></div>
            <div class="col-sm-4 col-md-4 col-lg-4">
      <button mat-raised-button color="primary"
           class="btn btn-primary"
           type="submit"
           [disabled]="accountForm.invalid">Submit</button></div></div>
      </form>
    </mat-card-content>
  </mat-card>

</div>
<div class="col-sm-3"></div>
</div></div>
